## org.freedesktop.ModemManager1.Sms

org.freedesktop.ModemManager1.Sms — The ModemManager SMS interface.

## Methods

    Send  ();
    Store (IN  u storage);

## Properties

    State                  readable   u
    PduType                readable   u
    Number                 readable   s
    Text                   readable   s
    Data                   readable   ay
    SMSC                   readable   s
    Validity               readable   (uv)
    Class                  readable   i
    TeleserviceId          readable   u
    ServiceCategory        readable   u
    DeliveryReportRequest  readable   b
    MessageReference       readable   u
    Timestamp              readable   s
    DischargeTimestamp     readable   s
    DeliveryState          readable   u
    Storage                readable   u

## Description

The SMS interface Defines operations and properties of a single SMS message.

## Method Details

### The `Send()` method

    Send ();

If the message has not yet been sent, queue it for delivery.

Since: 1.0

### The `Store()` method

    Store (IN  u storage);

Store the message in the device if not already done.

This method requires a MMSmsStorage value, describing the storage where this message is to be kept; or `MM_SMS_STORAGE_UNKNOWN` if the default storage should be used.

Since: 1.0

`IN u `storage``: |

## Property Details

### The "State" property

    State  readable   u

A MMSmsState value, describing the state of the message.

Since: 1.0

### The "PduType" property

    PduType  readable   u

A MMSmsPduType value, describing the type of PDUs used in the SMS message.

Since: 1.0

### The "Number" property

    Number  readable   s

Number to which the message is addressed.

Since: 1.0

### The "Text" property

    Text  readable   s

Message text, in UTF-8.

When sending, if the text is larger than the limit of the technology or modem, the message will be broken into multiple parts or messages.

Note that Text and Data are never given at the same time.

Since: 1.0

### The "Data" property

    Data  readable   ay

Message data.

When sending, if the data is larger than the limit of the technology or modem, the message will be broken into multiple parts or messages.

Note that Text and Data are never given at the same time.

Since: 1.0

### The "SMSC" property

    SMSC  readable   s

Indicates the SMS service center number.

Always empty for 3GPP2/CDMA.

Since: 1.0

### The "Validity" property

    Validity  readable   (uv)

Indicates when the SMS expires in the SMSC.

This value is composed of a MMSmsValidityType key, with an associated data which contains type-specific validity information:

MM_SMS_VALIDITY_TYPE_RELATIVE | The value is the length of the validity period in minutes, given as an unsigned integer (D-Bus signature `'u'`).

Since: 1.0

### The "Class" property

    Class  readable   i

3GPP message class (-1..3). -1 means class is not available or is not used for this message, otherwise the 3GPP SMS message class.

Always -1 for 3GPP2/CDMA.

Since: 1.0

### The "TeleserviceId" property

    TeleserviceId  readable   u

A MMSmsCdmaTeleserviceId value.

Always MM_SMS_CDMA_TELESERVICE_ID_UNKNOWN for 3GPP.

Since: 1.2

### The "ServiceCategory" property

    ServiceCategory  readable   u

A MMSmsCdmaServiceCategory value.

Always MM_SMS_CDMA_SERVICE_CATEGORY_UNKNOWN for 3GPP.

Since: 1.2

### The "DeliveryReportRequest" property

    DeliveryReportRequest  readable   b

TRUE if delivery report request is required, FALSE otherwise.

Since: 1.0

### The "MessageReference" property

    MessageReference  readable   u

Message Reference of the last PDU sent/received within this SMS.

If the PDU type is `MM_SMS_PDU_TYPE_STATUS_REPORT`, this field identifies the Message Reference of the PDU associated to the status report.

Since: 1.0

### The "Timestamp" property

    Timestamp  readable   s

Time when the first PDU of the SMS message arrived the SMSC, in ISO8601 format. This field is only applicable if the PDU type is `MM_SMS_PDU_TYPE_DELIVER`. or `MM_SMS_PDU_TYPE_STATUS_REPORT`.

Since: 1.0

### The "DischargeTimestamp" property

    DischargeTimestamp  readable   s

Time when the first PDU of the SMS message left the SMSC, in ISO8601 format.

This field is only applicable if the PDU type is `MM_SMS_PDU_TYPE_STATUS_REPORT`.

Since: 1.0

### The "DeliveryState" property

    DeliveryState  readable   u

A MMSmsDeliveryState value, describing the state of the delivery reported in the Status Report message.

This field is only applicable if the PDU type is `MM_SMS_PDU_TYPE_STATUS_REPORT`.

Since: 1.0

### The "Storage" property

    Storage  readable   u

A MMSmsStorage value, describing the storage where this message is kept.

Since: 1.0